﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EDJournal {
    public class MarketBuyEntry : Entry {
        public string Type { get; set; }
        public int Count { get; set; }
        public int BuyPrice { get; set; }
        public int TotalCost { get; set; }

        protected override void Initialise() {
            Type = JSON.Value<string>("Type") ?? "";
            Count = JSON.Value<int?>("Count") ?? 0;
            BuyPrice = JSON.Value<int?>("BuyPrice") ?? 0;
            TotalCost = JSON.Value<int?>("TotalCost") ?? 0;
        }
    }
}
